from sqlalchemy import Column, Integer, String, text
from db.base_class import Base

class KGEdge(Base):
    __tablename__ = 'kg_edges'

    id = Column(Integer, primary_key=True, index=True)
    category = Column(String(64), nullable=False)
    src_id = Column(Integer, nullable=False)
    dest_id = Column(Integer, nullable=False)
    name = Column(String(64), nullable=False)
    version = Column(String(16))
    status = Column(Integer, nullable=False, default=0)

    def __repr__(self):
        return f"<KGEdge(id={self.id}, name={self.name}, category={self.category})>"