from sqlalchemy import Column, Integer, String, text
from sqlalchemy.dialects.postgresql import JSONB
from db.base_class import Base
from pgvector.sqlalchemy import Vector

class KGNode(Base):
    __tablename__ = 'kg_nodes'

    id = Column(Integer, primary_key=True, index=True)
    name = Column(String(255), nullable=False)
    category = Column(String(255), nullable=False)
    embedding = Column(Vector(1024))
    version = Column(String(50))

    def __repr__(self):
        return f"<KGNode(id={self.id}, name={self.name}, category={self.category})>"