from sqlalchemy import Column, Integer, Text, String
from sqlalchemy.dialects.postgresql import TSVECTOR
from pgvector.sqlalchemy import Vector
from db.base_class import Base

class Trunks(Base):
    __tablename__ = 'trunks'

    id = Column(Integer, primary_key=True, index=True)
    embedding = Column(Vector(1024))
    content = Column(Text)
    file_path = Column(String(255))
    content_tsvector = Column(TSVECTOR)
    type = Column(String(255))

    def __repr__(self):
        return f"<Trunks(id={self.id}, file_path={self.file_path})>"
